scala.xml
object Null

[source: `scala/xml/Null.scala`]

`case` `object` Null
  `extends` MetaData `with` Product

Method Summary
`override def` | append (m : MetaData) : MetaData appends given MetaData items to this MetaData list
`def` | apply (namespace : String, scope : NamespaceBinding, key : String) : Null gets value of qualified (prefixed) attribute with given key
`def` | apply (key : String) : Null null
`override def` | containedIn1 (m : MetaData) : Boolean
`def` | copy (next : MetaData) : MetaData returns its argument
`override def` | elements : Iterator[Nothing] returns an iterator on attributes
`override def` | equals (that : Any) : Boolean deep equals method
`def` | equals1 (that : MetaData) : Boolean shallow equals method
`override def` | filter (f : (MetaData) => Boolean) : MetaData filters this sequence of meta data
`def` | getNamespace (owner : Node) : Null returns null
`override final def` | hasNext : Boolean
`override def` | hashCode : Int
`def` | isPrefixed : Boolean
`def` | key : Null returns key of this MetaData item
`override final def` | length : Int
`override final def` | length (i : Int) : Int
`override def` | map (f : (MetaData) => Text) : List[Text] maps this sequence of meta data
`def` | next : Null returns Null or the next MetaData item
`override final def` | productArity : Int return k for a product `A(x_1,...,x_k))`
`override final def` | productElement (arg0 : Int) : Any for a case class `A(x_1,...,x_k))`, returns `x_(i+1)` for `0 <= i < k`
`override final def` | productPrefix : String By default the empty string. Implementations may override this method in order to prepend a string prefix to the result of the toString methods.
`protected def` | readResolve : AnyRef
`def` | remove (key : String) : Null
`def` | remove (namespace : String, scope : NamespaceBinding, key : String) : Null
`override def` | toString : String
`override def` | toString (sb : StringBuilder) : StringBuilder
`override def` | toString1 : String
`def` | toString1 (sb : StringBuilder) : Unit
`def` | value : Null returns value of this MetaData item
`override def` | wellformed (scope : NamespaceBinding) : Boolean

Methods inherited from Product
element, arity

Methods inherited from MetaData
apply, size, get, get, get, remove

Methods inherited from Collection
toArray, stringPrefix

Methods inherited from Iterable
concat, ++, map, flatMap, takeWhile, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, toStream, mkString, mkString, mkString, addString, addString, copyToArray, isEmpty, projection, hasDefiniteSize

Methods inherited from AnyRef
getClass, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf